## Extra

### Definition

Extra is an initialization file of VMAKE. It defines how VMAKE handles module files that have a special file extension and should not be translated.

### Use

<extra_line> = <comment_line> | (<extension><token_sep><layer><token_sep><dest_dir><token_sep><option><new_line>)

Use the # character as a comment character.

Parameters

Name | Description
<extension> | File extension
<token_sep> | Separators (any number of blank characters or tabs)
<layer> | Layer
<dest_dir> | Directory to which the files should be copied
<option> | Options

Options

Name | Description
ascii | See ascii
binary | See binary
concom | Conditional compiling
exec | See exec
unpack=yes|no|no dot | Unpack (yes| no | remove the last file extension)

### Example

.ino xx usr/env unpack=no
.mp px usr/bin unpack=no dot
.dm px tmp exec

Module files with the file extension .ino belong to the xx layer. They must be copied to the usr/env directory in $INSTROOT. The module file does not contain any textual frame (option unpack=no).

Module files with the file extension .mp belong to the px layer. These must be copied to the usr/bin directory (relative to $INSTROOT). The module file does not contain any textual frame. Once the files have been copied, the extension .mp must be removed (option unpack=no dot).

Module files with the file extension .dm belong to the px layer. These must be copied to the tmp directory (relative to $INSTROOT). The module file contains a textual frame that must be removed. Once the frame has been removed, the file is identified as executable (exec option, only relevant for UNIX/Linux).